Bug 1998364 - Inconsistent react-i18next mocks in unit tests
Summary: Inconsistent react-i18next mocks in unit tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Christoph Jerolimov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 22:51 UTC by Christoph Jerolimov
Modified: 2021-10-18 17:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9901 0 None None None 2021-08-26 22:53:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:35 UTC

Description Christoph Jerolimov 2021-08-26 22:51:43 UTC
Description of problem:
Our react tests contains different mock implementation of i18next and react-i18next. The tests contains redundant but inconsistent code.

This affects only the unit tests of the console.

Comment 3 Christoph Jerolimov 2021-08-27 17:16:34 UTC
Automated tests pass and this does not affect the production code.

Comment 7 errata-xmlrpc 2021-10-18 17:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.